#!/bin/sh
config() {
  NEW="$1"
  OLD="`dirname $NEW`/`basename $NEW .new`"
  # If there's no config file by that name, mv it over:
  if [ ! -r $OLD ]; then
    mv $NEW $OLD
  elif [ "`cat $OLD | md5sum`" = "`cat $NEW | md5sum`" ]; then # toss the redundant copy
    rm $NEW
  fi
  # Otherwise, we leave the .new copy for the admin to consider...
}
preserve_perms() {
  NEW="$1"
  OLD="$(dirname ${NEW})/$(basename ${NEW} .new)"
  if [ -e ${OLD} ]; then
    cp -a ${OLD} ${NEW}.incoming
    cat ${NEW} > ${NEW}.incoming
    mv ${NEW}.incoming ${NEW}
  fi
  config ${NEW}
}

preserve_perms etc/rc.d/rc.openvpn.new

( cd etc/openvpn ; rm -rf sample-config-files )
( cd etc/openvpn ; ln -sf /usr/doc/openvpn-2.6.8/sample-config-files sample-config-files )
( cd etc/rc.d ; rm -rf rc.openvpn.new )
( cd etc/rc.d ; ln -sf /store/Software/Slack-Pkgs/slackware-current/source/n/openvpn/rc.openvpn rc.openvpn.new )
( cd usr/doc/openvpn-2.6.8/sample-config-files ; rm -rf slackware.conf )
( cd usr/doc/openvpn-2.6.8/sample-config-files ; ln -sf /store/Software/Slack-Pkgs/slackware-current/source/n/openvpn/slackware.conf slackware.conf )
